Bug 4240 - Add a "did you mean" spell checker to the OPAC
Summary: Add a "did you mean" spell checker to the OPAC
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jane Wagner
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-22 08:01 UTC by Jane Wagner
Modified: 2012-10-26 00:51 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screen shot of OPAC alternatives (6.13 KB, image/jpeg)
2010-02-22 20:01 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:24:48 UTC


---- Reported by jwagner@ptfs.com 2010-02-22 20:01:28 ----

Created an attachment
screen shot of OPAC alternatives

Sponsored by Middletown Township Public Library, Middletown, NJ, USA.

Adds some spell checking to the OPAC.  Requires the Text::Aspell.pm and the Aspell dictionary:

apt-get install aspell-en libaspell-dev

Checks OPAC search terms against the Aspell dictionary, and suggests possible alternatives.  Right now the number of alternatives is set at five; a future enhancement might be to allow the library to set the number via a syspref.



---- Additional Comments From jwagner@ptfs.com 2010-05-12 13:56:21 ----

The fix for this bug (in ptfs-harley) can be pulled from the public git repository at http://github.com/Koha-PTFS, branch http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4240




--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:24 UTC  ---

This bug was previously known as _bug_ 4240 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4240
Imported an attachment (id=1929)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.
The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, chris@bigballofwax.co.nz.
   Previous assignee was kohaprogrammers@ptfs.com.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
Bug reassigned, setting status to "NEW".
   Previous status was "ASSIGNED".
CC member jwagner@ptfs.com does not have an account here
The original submitter of attachment 1929 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Nicole C. Engard 2011-01-04 20:41:53 UTC
can you please attach the patch as the links below do not work.
Comment 2 Paul Poulain 2011-04-08 15:21:12 UTC
switching to does not apply, as other bugzilla from Harley/jwagner that does not apply yet
Comment 3 Jared Camins-Esakov 2012-02-13 13:17:47 UTC
The Harley integration project has been stalled for some time.